Bug 2150372 - -devel seems to be required at runtime
Summary: -devel seems to be required at runtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt6-qtmultimedia
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2148732
TreeView+ depends on / blocked
 
Reported: 2022-12-02 17:53 UTC by Gwyn Ciesla
Modified: 2022-12-09 01:31 UTC (History)
4 users (show)

Fixed In Version: qt6-qtmultimedia-6.4.1-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-09 01:31:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Gwyn Ciesla 2022-12-02 17:53:19 UTC
Description of problem:
stellarium, when compiled against qt6, needs qt6-qtmultimedia-devel installed to run.

Version-Release number of selected component (if applicable):
6.4.1-2
stellarium 1.1-3

How reproducible:
stellarium 
Empty translation file for language  "en_US" in section "stellarium-planetary-features"
StelCore: Invalid timezone name: ""  -- not setting timezone.
could not load multimedia backend ""
QtMultimedia is not currently supported on this platform or compiler.
Aborted (core dumped)



https://bugzilla.redhat.com/show_bug.cgi?id=2148732

Comment 2 Fedora Update System 2022-12-05 07:27:42 UTC
FEDORA-2022-1427cfdaf0 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1427cfdaf0

Comment 3 Fedora Update System 2022-12-06 01:31:59 UTC
FEDORA-2022-1427cfdaf0 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-1427cfdaf0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1427cfdaf0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 nucleo 2022-12-06 11:08:05 UTC
qt6-qtmultimedia-6.4.1-3.fc37.x86_64 fixes bug but
file /usr/lib64/qt6/plugins/multimedia is not owned by any package

Comment 5 Jan Grulich 2022-12-06 12:30:37 UTC
(In reply to nucleo from comment #4)
> qt6-qtmultimedia-6.4.1-3.fc37.x86_64 fixes bug but
> file /usr/lib64/qt6/plugins/multimedia is not owned by any package

Fixed in dist-git, but I'm not going to make a new build for this. Will get fixed next time we do an update.

Comment 6 Fedora Update System 2022-12-09 01:31:38 UTC
FEDORA-2022-1427cfdaf0 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.